Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface GrailsBootstrapClass

    org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
      org.codehaus.groovy.grails.commons.GrailsClass
          org.codehaus.groovy.grails.commons.GrailsBootstrapClass

All Superinterfaces:
  GrailsApplicationAware, GrailsClass

    public interface GrailsBootstrapClass
    extends GrailsClass

Loaded and executed on application load.

Authors:
  Graeme Rocher

Method Summary
`void` | `callDestroy()` Calls the destroy closure if one exists.
`void` | `callInit(javax.servlet.ServletContext servletContext)` Calls the init closure if one exists.
`groovy.lang.Closure` | `getDestroyClosure()` Returns the destroy closure which is called on application exit.
`groovy.lang.Closure` | `getInitClosure()` Returns the init closure which is called on application load.

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Method Detail

### callDestroy

    public void callDestroy()

  Calls the destroy closure if one exists.

### callInit

    public void callInit(javax.servlet.ServletContext servletContext)

  Calls the init closure if one exists.

### getDestroyClosure

    @SuppressWarnings("rawtypes")
    public groovy.lang.Closure getDestroyClosure()

  Returns the destroy closure which is called on application exit.
  Returns:
    A Closure instance

### getInitClosure

    @SuppressWarnings("rawtypes")
    public groovy.lang.Closure getInitClosure()

  Returns the init closure which is called on application load.
  Returns:
    A Closure instance

Groovy Documentation